# JoinCapableQuery Interface Reference
[Dynamic query builder]

Inheritance diagram for JoinCapableQuery:
[legend]

List of all members.

## Public Member Functions

| from ($table, $alias=null)
| join ($table, LogicalObject $logic, $alias=null)
| leftJoin ($table, LogicalObject $logic, $alias=null)
| rightJoin ($table, LogicalObject $logic, $alias=null)
| hasJoinedTable ($table)

## Detailed Description

Definition at line 15 of file JoinCapableQuery.class.php.

## Member Function Documentation

JoinCapableQuery::from | ( | $ | table,
|  | $ | alias = `null` |
| ) |  |  |

Implemented in UpdateQuery.

JoinCapableQuery::hasJoinedTable | ( | $ | table | ) |

Implemented in UpdateQuery.

Referenced by ProtoDAO::processPath().

JoinCapableQuery::join | ( | $ | table,
|  | LogicalObject $ | logic,
|  | $ | alias = `null` |
| ) |  |  |

Implemented in UpdateQuery.

Referenced by ProtoDAO::processPath().

JoinCapableQuery::leftJoin | ( | $ | table,
|  | LogicalObject $ | logic,
|  | $ | alias = `null` |
| ) |  |  |

Implemented in UpdateQuery.

Referenced by ProtoDAO::processPath().

JoinCapableQuery::rightJoin | ( | $ | table,
|  | LogicalObject $ | logic,
|  | $ | alias = `null` |
| ) |  |  |

Implemented in UpdateQuery.

The documentation for this interface was generated from the following file:

- core/OSQL/JoinCapableQuery.class.php